// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: sei-client/model/document-row.proto

package model

import (
	common "gitlab.com/shadowy/sei/email/go-email-proto/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DocumentRow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           string          `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Created      string          `protobuf:"bytes,2,opt,name=created,proto3" json:"created,omitempty"`
	Registration *Registration   `protobuf:"bytes,3,opt,name=registration,proto3" json:"registration,omitempty"`
	Confident    bool            `protobuf:"varint,4,opt,name=confident,proto3" json:"confident,omitempty"`
	Title        string          `protobuf:"bytes,5,opt,name=title,proto3" json:"title,omitempty"`
	Kind         string          `protobuf:"bytes,6,opt,name=kind,proto3" json:"kind,omitempty"`
	Annotation   string          `protobuf:"bytes,7,opt,name=annotation,proto3" json:"annotation,omitempty"`
	From         *common.Company `protobuf:"bytes,8,opt,name=from,proto3" json:"from,omitempty"`
	To           *common.Company `protobuf:"bytes,9,opt,name=to,proto3" json:"to,omitempty"`
	Status       string          `protobuf:"bytes,10,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DocumentRow) Reset() {
	*x = DocumentRow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sei_client_model_document_row_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DocumentRow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DocumentRow) ProtoMessage() {}

func (x *DocumentRow) ProtoReflect() protoreflect.Message {
	mi := &file_sei_client_model_document_row_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DocumentRow.ProtoReflect.Descriptor instead.
func (*DocumentRow) Descriptor() ([]byte, []int) {
	return file_sei_client_model_document_row_proto_rawDescGZIP(), []int{0}
}

func (x *DocumentRow) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DocumentRow) GetCreated() string {
	if x != nil {
		return x.Created
	}
	return ""
}

func (x *DocumentRow) GetRegistration() *Registration {
	if x != nil {
		return x.Registration
	}
	return nil
}

func (x *DocumentRow) GetConfident() bool {
	if x != nil {
		return x.Confident
	}
	return false
}

func (x *DocumentRow) GetTitle() string {
	if x != nil {
		return x.Title
	}
	return ""
}

func (x *DocumentRow) GetKind() string {
	if x != nil {
		return x.Kind
	}
	return ""
}

func (x *DocumentRow) GetAnnotation() string {
	if x != nil {
		return x.Annotation
	}
	return ""
}

func (x *DocumentRow) GetFrom() *common.Company {
	if x != nil {
		return x.From
	}
	return nil
}

func (x *DocumentRow) GetTo() *common.Company {
	if x != nil {
		return x.To
	}
	return nil
}

func (x *DocumentRow) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

var File_sei_client_model_document_row_proto protoreflect.FileDescriptor

var file_sei_client_model_document_row_proto_rawDesc = []byte{
	0x0a, 0x23, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2d, 0x72, 0x6f, 0x77, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x73, 0x65, 0x69, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x1a, 0x23, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x2f, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x14, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x63,
	0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xbb, 0x02, 0x0a,
	0x0b, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x6f, 0x77, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3c, 0x0a, 0x0c, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x73,
	0x65, 0x69, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0c, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x64, 0x65, 0x6e,
	0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x64, 0x65,
	0x6e, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6b, 0x69, 0x6e, 0x64,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6b, 0x69, 0x6e, 0x64, 0x12, 0x1e, 0x0a, 0x0a,
	0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x23, 0x0a, 0x04,
	0x66, 0x72, 0x6f, 0x6d, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x04, 0x66, 0x72, 0x6f,
	0x6d, 0x12, 0x1f, 0x0a, 0x02, 0x74, 0x6f, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x52, 0x02,
	0x74, 0x6f, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0a, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x83, 0x01, 0x0a, 0x14, 0x63,
	0x6f, 0x6d, 0x2e, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x6f,
	0x64, 0x65, 0x6c, 0x42, 0x0b, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x6f, 0x77,
	0x50, 0x01, 0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73,
	0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x65, 0x6d, 0x61, 0x69, 0x6c,
	0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f,
	0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0a, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0xca, 0x02, 0x0a, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_sei_client_model_document_row_proto_rawDescOnce sync.Once
	file_sei_client_model_document_row_proto_rawDescData = file_sei_client_model_document_row_proto_rawDesc
)

func file_sei_client_model_document_row_proto_rawDescGZIP() []byte {
	file_sei_client_model_document_row_proto_rawDescOnce.Do(func() {
		file_sei_client_model_document_row_proto_rawDescData = protoimpl.X.CompressGZIP(file_sei_client_model_document_row_proto_rawDescData)
	})
	return file_sei_client_model_document_row_proto_rawDescData
}

var file_sei_client_model_document_row_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_sei_client_model_document_row_proto_goTypes = []interface{}{
	(*DocumentRow)(nil),    // 0: sei_client.DocumentRow
	(*Registration)(nil),   // 1: sei_client.Registration
	(*common.Company)(nil), // 2: common.Company
}
var file_sei_client_model_document_row_proto_depIdxs = []int32{
	1, // 0: sei_client.DocumentRow.registration:type_name -> sei_client.Registration
	2, // 1: sei_client.DocumentRow.from:type_name -> common.Company
	2, // 2: sei_client.DocumentRow.to:type_name -> common.Company
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_sei_client_model_document_row_proto_init() }
func file_sei_client_model_document_row_proto_init() {
	if File_sei_client_model_document_row_proto != nil {
		return
	}
	file_sei_client_model_registration_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_sei_client_model_document_row_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DocumentRow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sei_client_model_document_row_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_sei_client_model_document_row_proto_goTypes,
		DependencyIndexes: file_sei_client_model_document_row_proto_depIdxs,
		MessageInfos:      file_sei_client_model_document_row_proto_msgTypes,
	}.Build()
	File_sei_client_model_document_row_proto = out.File
	file_sei_client_model_document_row_proto_rawDesc = nil
	file_sei_client_model_document_row_proto_goTypes = nil
	file_sei_client_model_document_row_proto_depIdxs = nil
}
